Subject: Re: bug#23195: GNOME help does not work

From: [email-masked] (宋文武)
Date: Sun, 15 May 2016 15:47:29 +0800

Chris Marusich <[email-masked]> writes:

> Hi,
>
> I'm using GuixSD v0.10.0 with GNOME.  I've noticed that "help" does not
> work.  Specifically, I've observed the following:
>
> * Pressing F1 in any application does not work.  Sometimes (e.g., in the
>   GNOME terminal) you get an error message saying something like "There
>   was an error displaying help / Operation not supported".  Sometimes
>   (e.g., in icecat) nothing at all happens.
>
> * If you run the "Help" application (you can find it in the dashboard
>   under "Show Applications"), you get an error:
>
>     Document Not Found
>     The URI ‘help:gnome-help/index’ does not point to a valid page.
>     Search for packages containing this document.
>
> I know that GNOME documentation is available on the Internet, but it
> would be nice if the built-in GNOME worked, too.  What do we need to do
> to make it work?  How can I investigate further why it is not working?
With the ‘xdg-desktop-database’ hook in commit 842cb820, it should
work now.